###################################################
### chunk number 1:  eval=FALSE
###################################################
## #line 50 "tr_2006_01.Rnw"
## q(save="no")
## 


###################################################
### chunk number 2: 
###################################################
#line 53 "tr_2006_01.Rnw"
library(Biobase)
library(twilight)
oldopt <- options(digits=3)
on.exit( {options(oldopt)} )
options(width=75)


###################################################
### chunk number 3: 
###################################################
#line 228 "tr_2006_01.Rnw"
library(OrderedList)
data(OL.data)
OL.data$breast
OL.data$prostate
OL.data$map[1:5,]

A <- prepareData(
eset1=list(data=OL.data$prostate,name="prostate",var="outcome",out=c("Rec","NRec"),paired=FALSE),
eset2=list(data=OL.data$breast,name="breast",var="Risk",out=c("high","low"),paired=FALSE),
mapping=OL.data$map
)
A


###################################################
### chunk number 4: 
###################################################
#line 274 "tr_2006_01.Rnw"
x <- OrderedList(A, empirical=TRUE)
x
x$intersect[1:5]


###################################################
### chunk number 5: 
###################################################
#line 285 "tr_2006_01.Rnw"
bitmap(file="tr_2006_01-pauc.png",width=4,height=3,res=300)
plot(x,"pauc")
dev.off()
Sys.sleep(20)
bitmap(file="tr_2006_01-scores.png",width=4,height=3, res=300)
plot(x,"scores")
dev.off()
Sys.sleep(20)
bitmap(file="tr_2006_01-overlap.png",width=4,height=3, res=300)
plot(x,"overlap")
dev.off()


###################################################
### chunk number 6: 
###################################################
#line 385 "tr_2006_01.Rnw"
list1 <- as.character(OL.data$map$prostate)
list2 <- c(sample(list1[1:500]),sample(list1[501:1000]))
y <- compareLists(list1,list2)
y


###################################################
### chunk number 7: 
###################################################
#line 408 "tr_2006_01.Rnw"
z <- getOverlap(y)
z
z$intersect[1:5]


###################################################
### chunk number 8: 
###################################################
#line 415 "tr_2006_01.Rnw"
bitmap(file="tr_2006_01-z.png",width=4,height=3,res=300)
plot(z)
dev.off()
Sys.sleep(20)
bitmap(file="tr_2006_01-density.png",width=4,height=3,res=300)
plot(z,"scores")
dev.off()
Sys.sleep(20)


